package model.Africa

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.yassa
import kotlin.time.Duration

val sengaleseList = listOf(
    Recipe(
        title = "Chicken Yassa",
        description = "Spicy Sengalese Chicken with a heavy Onion Sauce with Lemon, Baked.",
        prepTime = Duration.parse("8h"),
        cookTime = Duration.parse("1h"),
        servings = "Serves 4",
        ingredients = listOf(
            "HEADER-Marinade",
            "2 Onions, Rough Chopped",
            "5 Cloves Garlic, Minced",
            "1 Scallion, Rough Chopped",
            ".5 Green Chili, Rough Chopped",
            "15g Ginger, Grated",
            "1 Scotch Bonnet",
            ".25 Cup Parsley",
            "Juice of 2 Lemons",
            "1 Tbsp Dijon Mustard",
            "1.5 lbs Protein of Choice",

            "HEADER-Curry",
            "2 Onions, thin Sliced",
            "3 Tbsp Oil",
            "2 Tbsp Red Wine Vinegar",
            "1 Bay Leaf",
        ),
        instructions = listOf(

            "HEADER-Marinade and Bake",
            "Add all the Marinade Ingredients except the Protein to a Blender. Pulse until smooth, and season with Salt as needed.",
            "Marinade the Protein overnight (8 hours is really all you need, so I tend to do this the morning of rather than the night before).",
            "Heat an Oven to 400F. Shake off the Protein, reserving the Marinade, and Bake for about 45 minutes (or until cooked through and Golden Brown).",

            "HEADER-Curry",
            "Heat Oil [3 Tbsp] in a wide pan. Add Onions [2 thin Sliced] and the Marinade and cook for a about a minute.",
            "Add Vinegar [2 Tbsp], Bay Leaves [1], Salt and Pepper as needed, and cook over medium-high until the Sauce is thick and the Onions are carmelised.",
            "Add more Lemon Juice as needed, then add the cooked Chicken, cover and let combine for about 5 minutes.",
            "Serve over Rice or Couscous.",
        ),
        tags = mapOf(
            "Senegal" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Vegan" to TagType.CUISINE,
            "Tangy" to TagType.FLAVOUR,
            "Entree" to TagType.COURSE,
            "Baked" to TagType.TECHNIQUE,
            "Curry" to TagType.TECHNIQUE,
        ),
        image = Res.drawable.yassa ,
    )
)