package model.Americas

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val mexicanList = listOf(
    Recipe (
        title = "Elote | Street Corn",
        description = "Grilled Street Corn with Cream Sauce and Chili Spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("6m"),
        servings = "6 Ears",
        ingredients = listOf(
            "6 Medium Ears Sweet Corn",
            ".5 Cup Mexican Crema, or Sour Cream",
            ".5 Cup Mayonnaise",
            ".5 Cup Cilantro, Chopped",
            "2 Cloves Garlic",
            ".25 Tbsp Chipotle Powder, or to taste",
            "2 tsp Lime Zest, grated",
            "2 Tbsp Lime Juice",
            ".5 Cup Cotija Cheese, crumbled",
            "Lime Wedges, to serve"
        ),
        instructions = listOf(
            "In a bowl, whisk together the Crema [.5 Cup], Mayonnaise [.5 Cup], Cilantro [.5 Cup], Garlic [2 Cloves], Chipotle Pepper [.75 Tbsp]," +
                    " Lime Zest [2 Tsp] and Lime Juice [2 Tbsp]. Taste and season the mixture with Salt if needed. (Crema has a little Salt already, so" +
                    " add extra judiciously.) Set aside.",
            "Grill the Corn, about 3 minutes per side, until browned",
            "Slather with Crema Mixture, crumbled Cotija, and Chipotle Powder. Serve with Lime Wedges"

        ),
        tags = mapOf(
            "Mexican" to TagType.CUISINE,
            "Spicy" to TagType.FLAVOUR,
            "Grilled" to TagType.TECHNIQUE,
            "Street Food" to TagType.CUISINE,
            "Appetizer" to TagType.COURSE,
            "Vegetarian" to TagType.CUISINE,
        ),
        image = Res.drawable._10_strawberries
    )
)