package model.Asia

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import kotlin.time.Duration

val indianList = listOf(
    Recipe(
        title = "Street Food Jalfrezi",
        description = "This Dish, originally made with Chicken, is a chili and masala powder spiced flat bread wrap. Served with Yoghurt and mint herb," +
                " and stuffed with peppers and tomatoes.",
        ingredients = listOf(

            "HEADER-Coating",
            "1 Tbsp Flour",
            "2 Tsp Garam Masala Powder",
            "2 Tsp Ground Cumin",
            "1 Tsp Chilli Flakes",
            ".5 Tsp Black Onion Seed",
            "450g Protein of Choice, thin sliced",

            "HEADER-Filling",
            "2 Tbsp Ghee",
            "1 Red Pepper, thin sliced",
            "1 Green Pepper, thin sliced",
            "2 Medium Tomatoes, thin sliced",
            "1 Tsp Brown Sugar",

            "HEADER-To Serve",
            "75ml Yoghurt",
            "5ml Mint Herb",
            "4 Naan Breads",
            "Salt",
        ),
        instructions = listOf(
            "Combine Flour [1 Tbsp], Garam Masala [2 Tsp], Cumin [2 Tsp] Chilli Flakes [1 Tsp], and Black Onion Seed [.5 Tsp] in a bowl.",
            "Add the Sliced Protein and toss to coat.",
            "Heat Ghee in a nonstick pan. Cook Protein 6-8 minutes, or until done, depending.",
            "Add Peppers, cook for a further 2 minutes",
            "Add Tomatoes and Sugar and cook for 2-3 minutes more, or until Tomatoes are softened",
            "Combine Yoghurt [75ml] and Mint [5ml]",
            "To Serve, wrap naan around Protein-Pepper Mixture, drizzle with Yoghurt.",
        ),
        tags = mapOf(
            "Savory" to TagType.FLAVOUR,
            "Street Food" to TagType.CUISINE,
            "Indian" to TagType.CUISINE,
            "Vegetarian" to TagType.CUISINE,
        ),
        prepTime = Duration.parse("15m"),
        cookTime = Duration.parse("15m"),
        servings = "Makes 4 Wraps",
        image = Res.drawable._10_strawberries
    )
)