package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Pesto
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.chicken_parmesan
import kotlin.time.Duration

val italianList = listOf(
    Recipe(
        title = "Pesto Sauce",
        description = "Italian Sauce of Fresh Basil, Mozzarella, Garlic, and Spices.",
        prepTime = Duration.parse("15m"),
        cookTime = Duration.ZERO,
        servings = "1 Batch",
        ingredients = listOf(
            "1 Bunch of Fresh Basil",
            ".5 Cup to .75 Cup of fresh Mozzarella Cheese, hand shredded",
            ".25 Cup Minced Garlic",
            "Smoked Paprika",
            ".25 Tsp Cayenne Powder",
            "Salt and Pepper to taste",
            "Olive Oil [as needed for consistency]",
            "Garlic oil, for taste",
            "White Wine, Fruity [such as layer cake]",
            "2 caps of Lemon Juice",
            ),
        instructions = listOf(
            "Shred Basil in a blender, slowly adding Oil until it blends smooth",
            "Add in Cheese, Garlic, and Spices, blend, adding more Oil as needed"
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Sauce" to TagType.COURSE,
            "Blended" to TagType.TECHNIQUE,
            "Vegetarian" to TagType.CUISINE,
        ),
        image = Res.drawable.Pesto,
    ),

    Recipe(
        title = "Chicken Parmesan",
        description = "Chicken Breaded and Pan Fried, slathered in Marinara and Cheese and Baked.",
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("40m"),
        servings = "Makes 4 Cutlets",
        ingredients = listOf(
            "2 Large Chicken Breasts",
            ".5 Cup Flour",
            "1 Tsp Salt",
            ".5 Tsp Pepper",
            "2 Eggs, Beaten",
            ".5 Cup Panko",
            ".5 Cup Parmesan, grated",
            "2 Tbsp Olive Oil",
            "24 Oz Marinara Sauce",
            "1.5 Cup Shredded Mozzarella Cheese",
            "1 Tbsp Fresh Basil Leaves, Chopped",
        ),
        instructions = listOf(
            "Heat the Oven to 425F",
            "Slice the Chicken Breasts [2] in half lengthwise to make [4] Cutlets",
            "Stir together Flour [.5 Cup], Salt [1 Tsp], Pepper [.5 Tsp]. In another bowl, Stir together Panko [.5 Cup] and Parmesan [.5 Cup]",
            "Coat Chicken in Flour Mixture, then Beaten Eggs, then Panko-Parm Mixture. Heat Olive Oil [2 Tbsp] in a shallow pan and saute the Chicken 3-4 min" +
                    " per side, until Golden Brown",
            "Pour Half the Marinara [12 Oz] into a 9x13 Casserole Dish. Arrange Cutlets in a single layer. Slather each with the rest of the Marinara [12 Oz] then" +
                    " cover with Shredded Mozzarella [1.5 Cups]. Bake for 15 minutes, then Garnish with Basil [1 Tbsp] and Serve.",
        ),
        tags = mapOf(
            "Italian" to TagType.CUISINE,
            "Savory" to TagType.FLAVOUR,
            "Carnivorous" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Baked" to TagType.TECHNIQUE,
        ),
        image = Res.drawable.chicken_parmesan,
    ),
)